List the NPS responses of the caller company
curl --request GET \
--url https://clientapi.woku.app/v1/nps \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/nps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/nps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
v1 - nps
List the NPS responses of the caller company
Paginated, most recent first. Filter by tool, date range and whether the response carries feedback (textnote or voicemail). Responses never include client contact data, only clientId.
GET
/
v1
/
nps
List the NPS responses of the caller company
Authorizations
Company secret API key.
Query Parameters
ISO date, inclusive lower bound on createdAt
ISO date, inclusive upper bound on createdAt
true returns only responses with a text or voice comment
Response
Paginated NPS responses